#!/bin/bash

# to clean up, 
# rm treas
# rm -Rf *.hi *.o

  pwd=`pwd`
  if [ `basename $pwd` != 'tests' ] ; then
    exit 1
  fi

mk_treas ()
{
    cp treas.hs ../
    cd ../
    ghc treas.hs --make
    mv treas* tests/
    cd tests/
    ./treas
}
_haddock ()
{
  haddock -h -o ~/www/haskell/treas-docs Finance/Treasury.hs
}

  [ -f "./treas" ] && rm ./treas
  cd ../
  _haddock
  Setup.lhs configure --user && \
  Setup.lhs build && \
  cd tests && \
  mk_treas



